{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% block image_preview_widget %}
    <div class="form-control image-upload-preview image-box">
        {{ form_widget(form.removeFile) }}
        {{ form_widget(form.file) }}
        <div class="preview-holder">
            <img class="img-responsive" src="{{ (data is not null and data.file is not null) ? data.file | data_uri_normalize : "" }}">
        </div>
        <a class="btn btn-danger btn-xs" data-toggle="delete"><i class="fa fa-trash"></i> Supprimer</a>
        <a class="btn btn-default btn-xs" data-toggle="update"><i class="fa fa-upload"></i> Charger une nouvelle image</a>
    </div>
{% endblock %}

{%- block strong_password_row -%}
    {{- block('form_rows') -}}
    <div class="small-box bg-gray-light form-group">
        <div class="icon-heading">
            <i class="fa fa-info-circle"></i>
        </div>
        <div class="inner">
            {{ "help.password_constraints.intro" | trans }} :
            <ul class="m-b-0">
                <li>{{ "help.password_constraints.length" | trans({"%count%": 14}) | raw }}</li>
                <li>{{ "help.password_constraints.new" | trans | raw }}</li>
                <li>{{ "help.password_constraints.contains" | trans | raw }} :
                    <ul>
                        <li>{{ "help.password_constraints.contains.1" | trans }}</li>
                        <li>{{ "help.password_constraints.contains.2" | trans }}</li>
                        <li>{{ "help.password_constraints.contains.3" | trans }}</li>
                        <li>{{ "help.password_constraints.contains.4" | trans }}</li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
{%- endblock strong_password_row -%}

{% block date_range_picker_widget %}
    <div class="form-control" data-datepicker-role="selector" style="cursor: pointer">
        <i class="glyphicon glyphicon-calendar fa fa-calendar"></i>&nbsp;
        <span></span> <b class="caret"></b>
    </div>
    {{ form_widget(form.start) }}
    {{ form_widget(form.end) }}
{%- endblock date_range_picker_widget -%}